Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000872Zandronum[All Projects] Suggestionpublic2012-06-11 11:072014-06-14 22:43
ReporterFrits 
Assigned To 
PrioritylowSeverityfeatureReproducibilityN/A
StatusacknowledgedResolutionreopened 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000872: Force skins of enemies and allies
Descriptioncomplementary to the force color cvar. Something like cl_enemyskin and cl_allyskin commands to force players into the desired skin. Not just the base skin.
Again this is a nifty quake 3 feature (like forcing colors) that be a great addition for competitive gaming.

Although I'm not sure if this could be exploited in a wrong way.

Attached Files

- Relationships
related to 0000845closedDusk Forcing Enemy/Teammate Colors 

-  Notes
User avatar (0003743)
Ivan (reporter)
2012-06-12 19:56

Strong support for this one !
User avatar (0007105)
Dusk (developer)
2013-09-04 15:29

Wouldn't cl_skins 0 suffice here?
User avatar (0007106)
someoneelse (reporter)
2013-09-05 04:58

Wouldn't it make "change all enemies into big flashing red rectangles" easy and achievable for everyone?
User avatar (0007107)
Catastrophe (reporter)
2013-09-05 05:19
edited on: 2013-09-05 05:19

No... If you make a sprite larger than a set size it won't let you load it iirc. Also not much of a big deal, most pro players will literally hear you across the map, through walls.

User avatar (0007108)
someoneelse (reporter)
2013-09-05 09:34
edited on: 2013-09-05 09:40

I know you can't make LARGER sprite, but I guess flat rectangle would be easier than a base marine.
Also, not every competetive game is duel between two pros or ctf in well-lit map. There are competetive games/mods which operate in other ways, like relying on darkness, hiding etc, and flashing white rectangle or other trick would be kinda not OK.
It would be OK if server had option to turn it off, I guess...

User avatar (0007112)
Dusk (developer)
2013-09-05 14:34

What kind of competitive stuff is out there, then?

Also regarding brightness: you can't really rely on it gameplay-wise because OpenGL can set the brightness into whatever (while software's r_visibility is still locked in multiplayer), giving an advantage to OpenGL players. Unless a server actually figures to set sv_forcegldefaults true or so.
User avatar (0007114)
Catastrophe (reporter)
2013-09-05 14:58

Again, not really. If you have surround sound you can essentially wall hack and know where everyone is simply by hearing them.
User avatar (0007123)
Toxicity (reporter)
2013-09-06 19:33

Crash team VS Chubbs team, GO!
User avatar (0007127)
Dusk (developer)
2013-09-06 20:30
edited on: 2013-09-06 20:30

Quote from Toxicity
Crash team VS Chubbs team, GO!

Is it too much asked not to clutter the tracker with useless posts? Have you not read the rules?

User avatar (0009331)
Watermelon (developer)
2014-06-14 17:51

Should be good for 1.3/2.0! See other ticket
User avatar (0009344)
Dusk (developer)
2014-06-14 22:21
edited on: 2014-06-14 22:43

0000845 does not address this ticket

User avatar (0009345)
Watermelon (developer)
2014-06-14 22:25

Sorry, my bad... terrible oversight on my part.

Fixed to the proper status

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: wario Frits TheCitrusKiwi Wirtualnosc Kongming carpathia unknownna fuleco Esum Argentum Soul Medicris Toxicity Chronos Ouroboros
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2012-06-11 11:07 Frits New Issue
2012-06-11 11:12 Dusk Relationship added related to 0000845
2012-06-12 19:56 Ivan Note Added: 0003743
2013-09-04 15:29 Dusk Note Added: 0007105
2013-09-05 04:58 someoneelse Note Added: 0007106
2013-09-05 05:19 Catastrophe Note Added: 0007107
2013-09-05 05:19 Catastrophe Note Edited: 0007107 View Revisions
2013-09-05 09:34 someoneelse Note Added: 0007108
2013-09-05 09:38 someoneelse Note Edited: 0007108 View Revisions
2013-09-05 09:39 someoneelse Note Edited: 0007108 View Revisions
2013-09-05 09:40 someoneelse Note Edited: 0007108 View Revisions
2013-09-05 14:34 Dusk Note Added: 0007112
2013-09-05 14:58 Catastrophe Note Added: 0007114
2013-09-06 19:33 Toxicity Note Added: 0007123
2013-09-06 20:30 Dusk Note Added: 0007127
2013-09-06 20:30 Dusk Note Edited: 0007127 View Revisions
2014-06-14 17:51 Watermelon Note Added: 0009331
2014-06-14 17:51 Watermelon Status new => closed
2014-06-14 17:51 Watermelon Resolution open => fixed
2014-06-14 22:21 Dusk Note Added: 0009344
2014-06-14 22:21 Dusk Status closed => feedback
2014-06-14 22:21 Dusk Resolution fixed => reopened
2014-06-14 22:22 Dusk Status feedback => new
2014-06-14 22:25 Watermelon Note Added: 0009345
2014-06-14 22:25 Watermelon Status new => acknowledged
2014-06-14 22:43 Dusk Note Edited: 0009344 View Revisions






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker